Search detail records
Search for any detail record across the Telnyx Platform
GET
/
detail_records
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const detailRecordListResponse of client.detailRecords.list()) {
console.log(detailRecordListResponse);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.detail_records.list()
page = page.data[0]
print(page)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.DetailRecords.List(context.TODO(), telnyx.DetailRecordListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.detailrecords.DetailRecordListPage;
import com.telnyx.sdk.models.detailrecords.DetailRecordListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
DetailRecordListPage page = client.detailRecords().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.detail_records.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->detailRecords->list(
filter: ['recordType' => 'ai-voice-assistant', 'dateRange' => 'yesterday'],
pageNumber: 0,
pageSize: 0,
sort: ['string'],
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx detail-records list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/detail_records \
--header 'Authorization: Bearer <token>'{
"data": [
{
"record_type": "message_detail_record",
"uuid": "3ca7bd3d-7d82-4e07-9df4-009123068320",
"user_id": "3ca7bd3d-7d82-4e07-9df4-009123068320",
"completed_at": "2020-07-01T00:00:00Z",
"created_at": "2020-07-01T00:00:00Z",
"updated_at": "2020-07-01T00:00:00Z",
"sent_at": "2020-07-01T00:00:00Z",
"carrier": "T-Mobile USA",
"carrier_fee": "0.003",
"cld": "+1555123456",
"cli": "+1555123456",
"country_code": "US",
"delivery_status": "success: webhook succeeded",
"delivery_status_failover_url": "https://api.example.com/sms/telnyx/inbound",
"delivery_status_webhook_url": "https://api.example.com/sms/telnyx/inbound",
"direction": "outbound",
"fteu": false,
"mcc": "204",
"mnc": "01",
"message_type": "SMS",
"on_net": true,
"profile_id": "30ef55db-c4a2-4c4a-9804-a68077973d07",
"profile_name": "My Messaging Profile",
"source_country_code": "US",
"status": "delivered",
"tags": "tag1,tag2,tag3",
"rate": "0.003",
"currency": "USD",
"cost": "0.003",
"errors": [
"40001"
],
"parts": 2
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}{
"errors": [
{
"code": "10011",
"title": "Bad Request",
"detail": "No matching record type was found matching given record type wirelessxx"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter records on a given record attribute and value.
Example: filter[status]=delivered.
Required: filter[record_type] must be specified.
Show child attributes
Show child attributes
Specifies the sort order for results.
Example: sort=-created_at
Consolidated page parameter (deepObject style). Originally: page[number], page[size]
Show child attributes
Show child attributes
Response
Successful
data
(Message · object | Conference · object | Conference Participant · object | AMD · object | Verify 2FA · object | Sim Card Usage · object | Media Storage · object)[]
An object following one of the schemas published in https://developers.telnyx.com/docs/api/v2/detail-records
- Message
- Conference
- Conference Participant
- AMD
- Verify 2FA
- Sim Card Usage
- Media Storage
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const detailRecordListResponse of client.detailRecords.list()) {
console.log(detailRecordListResponse);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.detail_records.list()
page = page.data[0]
print(page)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.DetailRecords.List(context.TODO(), telnyx.DetailRecordListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.detailrecords.DetailRecordListPage;
import com.telnyx.sdk.models.detailrecords.DetailRecordListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
DetailRecordListPage page = client.detailRecords().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.detail_records.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->detailRecords->list(
filter: ['recordType' => 'ai-voice-assistant', 'dateRange' => 'yesterday'],
pageNumber: 0,
pageSize: 0,
sort: ['string'],
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx detail-records list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/detail_records \
--header 'Authorization: Bearer <token>'{
"data": [
{
"record_type": "message_detail_record",
"uuid": "3ca7bd3d-7d82-4e07-9df4-009123068320",
"user_id": "3ca7bd3d-7d82-4e07-9df4-009123068320",
"completed_at": "2020-07-01T00:00:00Z",
"created_at": "2020-07-01T00:00:00Z",
"updated_at": "2020-07-01T00:00:00Z",
"sent_at": "2020-07-01T00:00:00Z",
"carrier": "T-Mobile USA",
"carrier_fee": "0.003",
"cld": "+1555123456",
"cli": "+1555123456",
"country_code": "US",
"delivery_status": "success: webhook succeeded",
"delivery_status_failover_url": "https://api.example.com/sms/telnyx/inbound",
"delivery_status_webhook_url": "https://api.example.com/sms/telnyx/inbound",
"direction": "outbound",
"fteu": false,
"mcc": "204",
"mnc": "01",
"message_type": "SMS",
"on_net": true,
"profile_id": "30ef55db-c4a2-4c4a-9804-a68077973d07",
"profile_name": "My Messaging Profile",
"source_country_code": "US",
"status": "delivered",
"tags": "tag1,tag2,tag3",
"rate": "0.003",
"currency": "USD",
"cost": "0.003",
"errors": [
"40001"
],
"parts": 2
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}{
"errors": [
{
"code": "10011",
"title": "Bad Request",
"detail": "No matching record type was found matching given record type wirelessxx"
}
]
}